/*
 * Java-Gnome Bindings Library
 *
 * Copyright 2005 the Java-Gnome Team, all rights reserved.
 *
 * The Java-Gnome bindings library is free software distributed under
 * the terms of the GNU Library General Public License version 2.
 */

package org.gnu.gtk;

/*
 * This interface makes values calculated by configure available to
 * the GTK bindings.
 */
public interface Config
{
  /**
   * Version of GTK that these bindings wrap.
   * @deprecated Superceeded by java-gnome 4.0; a method along these lines
   *             may well exist in the new bindings, but if it does it likely
   *             has a different name or signature due to the shift to an
   *             algorithmic mapping of the underlying native libraries.
   */
  String GTK_API_VERSION = "2.10";
  
  /**
   * Name of the library - dictated by platform
   * @deprecated Superceeded by java-gnome 4.0; a method along these lines
   *             may well exist in the new bindings, but if it does it likely
   *             has a different name or signature due to the shift to an
   *             algorithmic mapping of the underlying native libraries.
   */
   String LIBRARY_NAME = "gtkjni-";
}
